Bug 487576 - kickstart profile related API docs should mention correct virtualization types that we are using for sat5.3
kickstart profile related API docs should mention correct virtualization type...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-02-26 14:11 EST by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-02-26 14:11:58 EST
Description of problem:
kickstart profile related API docs in kickstart namespace which create kickstart or import kickstart file etc say:

Method: createProfile
Description:
Import a kickstart profile into RHN.

Parameters:

    * string sessionKey
    * string profileLabel - Label for the new kickstart profile.
    * string virtualizationType - para_host, para_guest, or none.    <<<------



Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090220.1-i386-embedded-oracle.iso

How reproducible:
Go to kickstart API docs. 
Grep for "none"
  
Actual results:
   * string virtualizationType - para_host, para_guest, or none.    <<<------


Expected results:
   We need to talk Mike(mmccune) about what final types are going to be used. Afaik, they are xenpv, xenfv and pvhost 


Additional info:

I have found it mainly in kickstart namespace, but it might be present at other places also. We need to verify that.
Comment 1 Brad Buckingham 2009-02-27 11:07:12 EST
git commit: 4a399d68421491b1fc5b91f022674c9aaba1e8bb

Valid values for virtualizationType are para_host, qemu, xenfv and xenpv.

Updated API docs for kickstart.importFile, kickstart.createProfile, kickstart.createProfileWithCustomUrl, kickstart.importRawFile to reflect the new values.
Comment 2 Sayli Karmarkar 2009-03-09 18:24:07 EDT
verified on the latest build.
Comment 3 John Sefler 2009-08-26 10:26:52 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

click About|Help > API > kickstart

https://sun-x4200-01.rhts.bos.redhat.com/rhn/apidoc/handlers/KickstartHandler.jsp

Method: createProfile
Method: createProfileWithCustomUrl
Method: importFile
Method: importFile
Method: importRawFile
    string virtualizationType - none, para_host, qemu, xenfv or xenpv. 


moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:54:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.